name: Release published
on:
  release:
    types: [published, edited]
jobs:
  add-changelog:
    name: Add Changelog
    runs-on: ubuntu-latest
    steps:
    - name: Add Changelog
      uses: nexmo/github-actions/nexmo-changelog@master
      env:
        CHANGELOG_AUTH_TOKEN: ${{ secrets.CHANGELOG_AUTH_TOKEN }}
        CHANGELOG_CATEGORY: Server SDK
        CHANGELOG_RELEASE_TITLE: nexmo-php
        CHANGELOG_SUBCATEGORY: php
